org.apache.ignite.internal.processors.cache.version

## Class GridCacheVersionConflictResolver

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.version.GridCacheVersionAbstractConflictResolver
  - - org.apache.ignite.internal.processors.cache.version.GridCacheVersionConflictResolver

    public class GridCacheVersionConflictResolver
    extends GridCacheVersionAbstractConflictResolver

Default conflict resolver.

### Constructor Summary

Constructors
Constructor and Description
`GridCacheVersionConflictResolver()`

### Method Summary

Methods
`protected <K,V> void` `resolve0(GridCacheVersionConflictContext<K,V> ctx, GridCacheVersionedEntryEx<K,V> oldEntry, GridCacheVersionedEntryEx<K,V> newEntry, boolean atomicVerComparator)` Internal conflict resolution routine.

### Methods inherited from class org.apache.ignite.internal.processors.cache.version.GridCacheVersionAbstractConflictResolver

`resolve`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridCacheVersionConflictResolver

    public GridCacheVersionConflictResolver()

### Method Detail

#### resolve0

    protected <K,V> void resolve0(GridCacheVersionConflictContext<K,V> ctx,
                      GridCacheVersionedEntryEx<K,V> oldEntry,
                      GridCacheVersionedEntryEx<K,V> newEntry,
                      boolean atomicVerComparator)
                     throws IgniteCheckedException

Internal conflict resolution routine.

Specified by:
  `resolve0` in class `GridCacheVersionAbstractConflictResolver`
Parameters:
  `ctx` - Context.
  `oldEntry` - Old entry.
  `newEntry` - New entry.
  `atomicVerComparator` - Whether to use atomic version comparator.
Throws:
  `IgniteCheckedException` - If failed.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0
Release Date | : March 31 2015